"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.getTokenContractAddress = void 0;
const contracts_1 = require("@portkey/contracts");
const utils_1 = require("@portkey/utils");
const aelf_sdk_1 = __importDefault(require("aelf-sdk"));
const commonWallet = aelf_sdk_1.default.wallet.createNewWallet();
const tokenContractName = 'AElf.ContractNames.Token';
const getTokenContractAddress = (rpcUrl) => __awaiter(void 0, void 0, void 0, function* () {
    const instance = utils_1.aelf.getAelfInstance(rpcUrl);
    const { GenesisContractAddress } = yield instance.chain.getChainStatus();
    const sha256 = aelf_sdk_1.default.utils.sha256;
    const zeroContract = yield (0, contracts_1.getContractBasic)({
        contractAddress: GenesisContractAddress,
        rpcUrl: rpcUrl,
        account: commonWallet,
    });
    const result = yield zeroContract.callViewMethod('GetContractAddressByName', sha256(tokenContractName));
    return result.data;
});
exports.getTokenContractAddress = getTokenContractAddress;
