"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.MOBILE_DEVICE_WIDTH = exports.SWAP_TIME_INTERVAL = exports.TOKEN_SORT_MAP = exports.LANG_MAX_VALUE = exports.LP_DECIMALS = exports.SYMBOL_FORMAT_MAP = exports.REQ_CODE = exports.LANG_MAX = exports.isNanOrZero = exports.VALUE_T = exports.VALUE_B = exports.VALUE_M = exports.ONE = exports.ZERO = exports.BLOCKED_PRICE_IMPACT_NON_EXPERT = exports.PRICE_IMPACT_WITHOUT_FEE_CONFIRM_MIN = exports.ALLOWED_PRICE_IMPACT_HIGH = exports.ALLOWED_PRICE_IMPACT_MEDIUM = exports.ALLOWED_PRICE_IMPACT_LOW = void 0;
const bignumber_js_1 = __importDefault(require("bignumber.js"));
// used for warning states
exports.ALLOWED_PRICE_IMPACT_LOW = new bignumber_js_1.default(1).div(100); // 1%
exports.ALLOWED_PRICE_IMPACT_MEDIUM = new bignumber_js_1.default(3).div(100); // 3%
exports.ALLOWED_PRICE_IMPACT_HIGH = new bignumber_js_1.default(5).div(100); // 5%
// if the price slippage exceeds this number, force the user to type 'confirm' to execute
exports.PRICE_IMPACT_WITHOUT_FEE_CONFIRM_MIN = new bignumber_js_1.default(10).div(100); // 10%
// for non expert mode disable swaps above this
exports.BLOCKED_PRICE_IMPACT_NON_EXPERT = new bignumber_js_1.default(15).div(100); // 15%
exports.ZERO = new bignumber_js_1.default(0);
exports.ONE = new bignumber_js_1.default(1);
exports.VALUE_M = new bignumber_js_1.default(1000);
exports.VALUE_B = new bignumber_js_1.default(1000000);
exports.VALUE_T = new bignumber_js_1.default(1000000000);
const isNanOrZero = (val) => new bignumber_js_1.default(val).isNaN() || new bignumber_js_1.default(val).eq(0);
exports.isNanOrZero = isNanOrZero;
exports.LANG_MAX = new bignumber_js_1.default('9223372036854774784');
var REQ_CODE;
(function (REQ_CODE) {
    REQ_CODE[REQ_CODE["UserDenied"] = -1] = "UserDenied";
    REQ_CODE[REQ_CODE["Fail"] = -2] = "Fail";
    REQ_CODE[REQ_CODE["Success"] = 1] = "Success";
})(REQ_CODE = exports.REQ_CODE || (exports.REQ_CODE = {}));
exports.SYMBOL_FORMAT_MAP = {
    'SGR-1': 'SGR',
};
exports.LP_DECIMALS = 8;
exports.LANG_MAX_VALUE = exports.LANG_MAX.toFixed();
exports.TOKEN_SORT_MAP = {
    ELF: exports.LANG_MAX.toFixed(),
    USDT: exports.LANG_MAX.minus(1).toFixed(),
};
exports.SWAP_TIME_INTERVAL = 30 * 1000;
exports.MOBILE_DEVICE_WIDTH = 640;
