"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.handleErrorMessage = exports.handleError = void 0;
const contracts_1 = require("@portkey/contracts");
const textProcessor_1 = require("./textProcessor");
const handleError = (error) => {
    return (error === null || error === void 0 ? void 0 : error.error) || error;
};
exports.handleError = handleError;
const handleErrorMessage = (error, errorText) => {
    if (error.status === 500) {
        return errorText || 'Failed to fetch data';
    }
    error = (0, exports.handleError)(error);
    error = (0, contracts_1.handleContractError)(error);
    if (typeof error === 'string')
        errorText = error;
    if (typeof error.message === 'string')
        errorText = error.message;
    return textProcessor_1.textProcessor.format(errorText || '') || '';
};
exports.handleErrorMessage = handleErrorMessage;
