"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.getSvgStyle = exports.getFontStyle = void 0;
const clsx_1 = __importDefault(require("clsx"));
const getFontStyle = ({ weight = 'regular', color = 'one', size = 14, lineHeight, align = 'left', }) => {
    return (0, clsx_1.default)(`font-weight-${weight}`, `font-color-${color}`, `font-size-${size}`, typeof lineHeight === undefined ? '' : `line-height-${lineHeight}`, `text-align-${align}`);
};
exports.getFontStyle = getFontStyle;
const getSvgStyle = ({ size = 20, color = 'one' }) => {
    return (0, clsx_1.default)(`svg-size-${size}`, `svg-color-${color}`);
};
exports.getSvgStyle = getSvgStyle;
exports.default = exports.getFontStyle;
