"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.stringCut = exports.getPairReversed = exports.getIsReversed = exports.getPairsLogoOrderByTokenWeights = exports.getPairsOrderByTokenWeights = exports.unifyWTokenSymbol = exports.sleep = void 0;
const token_1 = require("./token");
const misc_1 = require("./constants/misc");
const bignumber_js_1 = __importDefault(require("bignumber.js"));
const lodash_1 = __importDefault(require("lodash"));
const sleep = (time) => {
    return new Promise(resolve => {
        setTimeout(() => {
            resolve('sleep');
        }, time);
    });
};
exports.sleep = sleep;
const unifyWTokenSymbol = (token) => {
    if (!token)
        return '';
    return token.symbol;
};
exports.unifyWTokenSymbol = unifyWTokenSymbol;
function getPairsOrderByTokenWeights(token0, token1) {
    if (!token0 || !token1) {
        return [token0, token1];
    }
    return (0, token_1.getTokenWeights)(typeof token0 === 'string' ? token0 : token0.symbol) >
        (0, token_1.getTokenWeights)(typeof token1 === 'string' ? token1 : token1.symbol)
        ? [token1, token0]
        : [token0, token1];
}
exports.getPairsOrderByTokenWeights = getPairsOrderByTokenWeights;
function getPairsLogoOrderByTokenWeights(tokens) {
    var _a, _b, _c, _d, _e, _f, _g, _h;
    if ((!((_a = tokens[0]) === null || _a === void 0 ? void 0 : _a.symbol) && !((_b = tokens[0].currency) === null || _b === void 0 ? void 0 : _b.symbol)) || (!((_c = tokens[1]) === null || _c === void 0 ? void 0 : _c.symbol) && !((_d = tokens[1].currency) === null || _d === void 0 ? void 0 : _d.symbol))) {
        return tokens;
    }
    return (0, token_1.getTokenWeights)(((_e = tokens[0]) === null || _e === void 0 ? void 0 : _e.symbol) || ((_f = tokens[0].currency) === null || _f === void 0 ? void 0 : _f.symbol)) >
        (0, token_1.getTokenWeights)(((_g = tokens[1]) === null || _g === void 0 ? void 0 : _g.symbol) || ((_h = tokens[1].currency) === null || _h === void 0 ? void 0 : _h.symbol))
        ? tokens.reverse()
        : tokens;
}
exports.getPairsLogoOrderByTokenWeights = getPairsLogoOrderByTokenWeights;
const getIsReversed = (token0, token1) => {
    return ((0, token_1.getTokenWeights)(typeof token0 === 'string' ? token0 : token0.symbol) >
        (0, token_1.getTokenWeights)(typeof token1 === 'string' ? token1 : token1.symbol));
};
exports.getIsReversed = getIsReversed;
const getPairReversed = (_pair) => {
    if (!(0, exports.getIsReversed)(_pair.token0, _pair.token1)) {
        return _pair;
    }
    const pair = lodash_1.default.cloneDeep(_pair);
    pair.originToken0 = Object.assign({}, _pair.token0);
    pair.originToken1 = Object.assign({}, _pair.token1);
    const token0 = Object.assign({}, pair.token0);
    const token1 = Object.assign({}, pair.token1);
    pair.token0 = token1;
    pair.token1 = token0;
    pair.valueLocked0 = _pair.valueLocked1;
    pair.valueLocked1 = _pair.valueLocked0;
    pair.price = new bignumber_js_1.default(_pair.valueLocked0).div(_pair.valueLocked1).toNumber();
    pair.priceUSD = new bignumber_js_1.default(pair.price).times(_pair.priceUSD).toNumber();
    // TODO
    pair.priceHigh24h = misc_1.ONE.div(_pair.priceLow24h).toNumber();
    pair.priceLow24h = misc_1.ONE.div(_pair.priceHigh24h).toNumber();
    pair.priceHigh24hUSD = misc_1.ZERO.plus(pair.priceHigh24h).times(_pair.priceUSD).toNumber();
    pair.priceLow24hUSD = misc_1.ZERO.plus(pair.priceLow24h).times(_pair.priceUSD).toNumber();
    pair.priceChange24h = misc_1.ZERO.minus(_pair.pricePercentChange24h).div(100).div(_pair.price).toNumber();
    pair.pricePercentChange24h = misc_1.ZERO.minus(_pair.pricePercentChange24h)
        .div(new bignumber_js_1.default(_pair.pricePercentChange24h).plus(100))
        .times(100)
        .toNumber();
    pair.volume24h = _pair.tradeValue24h;
    pair.tradeValue24h = _pair.volume24h;
    return pair;
};
exports.getPairReversed = getPairReversed;
function stringCut(str, resultLen) {
    if (!str || typeof str !== 'string') {
        return '';
    }
    if (str.length <= resultLen) {
        return str;
    }
    return str.slice(0, resultLen) + '...';
}
exports.stringCut = stringCut;
