"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getTVSymbolName = exports.formatSymbol = exports.getTokensOrderByASCLL = exports.getTokenWeights = void 0;
const misc_1 = require("./constants/misc");
const tokenWeights = {
    USDT: 100,
    USDC: 90,
    DAI: 80,
    ELF: 60,
    ETH: 50,
    BNB: 30,
};
function getTokenWeights(symbol) {
    if (!symbol) {
        return 0;
    }
    return tokenWeights[symbol] || 1;
}
exports.getTokenWeights = getTokenWeights;
function getTokensOrderByASCLL(symbol1, symbol2) {
    if (!symbol1 || !symbol2) {
        return { symbol1, symbol2 };
    }
    return symbol1 > symbol2 ? { symbol1: symbol2, symbol2: symbol1 } : { symbol1, symbol2 };
}
exports.getTokensOrderByASCLL = getTokensOrderByASCLL;
const formatSymbol = (symbol = '') => (misc_1.SYMBOL_FORMAT_MAP[symbol] ? misc_1.SYMBOL_FORMAT_MAP[symbol] : symbol);
exports.formatSymbol = formatSymbol;
const getTVSymbolName = (pathSymbol = '') => {
    const arr = pathSymbol.split('_');
    return arr.map(item => (0, exports.formatSymbol)(item)).join('/');
};
exports.getTVSymbolName = getTVSymbolName;
