var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
import { getContractBasic } from '@portkey/contracts';
import { aelf } from '@portkey/utils';
import AElf from 'aelf-sdk';
const commonWallet = AElf.wallet.createNewWallet();
const tokenContractName = 'AElf.ContractNames.Token';
export const getTokenContractAddress = (rpcUrl) => __awaiter(void 0, void 0, void 0, function* () {
    const instance = aelf.getAelfInstance(rpcUrl);
    const { GenesisContractAddress } = yield instance.chain.getChainStatus();
    const sha256 = AElf.utils.sha256;
    const zeroContract = yield getContractBasic({
        contractAddress: GenesisContractAddress,
        rpcUrl: rpcUrl,
        account: commonWallet,
    });
    const result = yield zeroContract.callViewMethod('GetContractAddressByName', sha256(tokenContractName));
    return result.data;
});
