import BigNumber from 'bignumber.js';
// used for warning states
export const ALLOWED_PRICE_IMPACT_LOW = new BigNumber(1).div(100); // 1%
export const ALLOWED_PRICE_IMPACT_MEDIUM = new BigNumber(3).div(100); // 3%
export const ALLOWED_PRICE_IMPACT_HIGH = new BigNumber(5).div(100); // 5%
// if the price slippage exceeds this number, force the user to type 'confirm' to execute
export const PRICE_IMPACT_WITHOUT_FEE_CONFIRM_MIN = new BigNumber(10).div(100); // 10%
// for non expert mode disable swaps above this
export const BLOCKED_PRICE_IMPACT_NON_EXPERT = new BigNumber(15).div(100); // 15%
export const ZERO = new BigNumber(0);
export const ONE = new BigNumber(1);
export const VALUE_M = new BigNumber(1000);
export const VALUE_B = new BigNumber(1000000);
export const VALUE_T = new BigNumber(1000000000);
export const isNanOrZero = (val) => new BigNumber(val).isNaN() || new BigNumber(val).eq(0);
export const LANG_MAX = new BigNumber('9223372036854774784');
export var REQ_CODE;
(function (REQ_CODE) {
    REQ_CODE[REQ_CODE["UserDenied"] = -1] = "UserDenied";
    REQ_CODE[REQ_CODE["Fail"] = -2] = "Fail";
    REQ_CODE[REQ_CODE["Success"] = 1] = "Success";
})(REQ_CODE || (REQ_CODE = {}));
export const SYMBOL_FORMAT_MAP = {
    'SGR-1': 'SGR',
};
export const LP_DECIMALS = 8;
export const LANG_MAX_VALUE = LANG_MAX.toFixed();
export const TOKEN_SORT_MAP = {
    ELF: LANG_MAX.toFixed(),
    USDT: LANG_MAX.minus(1).toFixed(),
};
export const SWAP_TIME_INTERVAL = 30 * 1000;
export const MOBILE_DEVICE_WIDTH = 640;
