import { handleContractError } from '@portkey/contracts';
import { textProcessor } from './textProcessor.js';
export const handleError = (error) => {
    return (error === null || error === void 0 ? void 0 : error.error) || error;
};
export const handleErrorMessage = (error, errorText) => {
    if (error.status === 500) {
        return errorText || 'Failed to fetch data';
    }
    error = handleError(error);
    error = handleContractError(error);
    if (typeof error === 'string')
        errorText = error;
    if (typeof error.message === 'string')
        errorText = error.message;
    return textProcessor.format(errorText || '') || '';
};
