import BigNumber from 'bignumber.js';
export declare function timesDecimals(a?: BigNumber.Value, decimals?: string | number): BigNumber;
export declare function divDecimals(a?: BigNumber.Value, decimals?: string | number): BigNumber;
export declare function bigNumberToWeb3Input(input: BigNumber): string;
export declare function valueToPercentage(input?: BigNumber.Value): BigNumber;
export declare function valueToUSD(input: BigNumber.Value): BigNumber.Value;
export type TGetRealPriceParams = {
    side?: number;
    token0Amount?: string | number;
    token1Amount?: string | number;
    feeRate?: string | number;
};
export declare const getRealPrice: ({ side, token0Amount, token1Amount, feeRate }: TGetRealPriceParams) => string;
export type TGetRealPriceWithDexFeeParams = {
    side?: number;
    token0Amount?: string | number;
    token1Amount?: string | number;
    dexFee?: string | number;
};
export declare const getRealPriceWithDexFee: ({ side, token0Amount, token1Amount, dexFee, }: TGetRealPriceWithDexFeeParams) => BigNumber;
export declare const getRealReceivePriceWithDexFee: ({ side, token0Amount, token1Amount, dexFee, }: TGetRealPriceWithDexFeeParams) => BigNumber;
export type TGetRealToken0AmountParams = {
    side?: number;
    value?: string | number;
    feeRate?: string | number;
    decimals?: number;
};
export declare const getRealToken0Amount: ({ side, value, feeRate, decimals }: TGetRealToken0AmountParams) => string | number;
export type TGetRealToken1AmountParams = {
    side?: number;
    value?: string | number;
    feeRate?: string | number;
    decimals?: number;
};
export declare const getRealToken1Amount: ({ side, value, feeRate, decimals }: TGetRealToken1AmountParams) => string | number;
//# sourceMappingURL=calculate.d.ts.map