export type FontWeight = 'regular' | 'medium' | 'bold';
export type FontColor = 'one' | 'two' | 'three' | 'primary' | 'fall' | 'rise' | 'secondary';
export type FontSize = 10 | 12 | 14 | 16 | 18 | 20 | 22 | 24 | 32 | 40;
export type LineHeight = 12 | 14 | 16 | 18 | 20 | 22 | 24 | 26 | 28 | 30 | 32 | 36 | 40 | 48;
export type Align = 'left' | 'center' | 'right';
export interface FontStyleProps {
    weight?: FontWeight;
    color?: FontColor;
    size?: FontSize;
    lineHeight?: LineHeight;
    align?: Align;
    className?: string;
}
export declare const getFontStyle: ({ weight, color, size, lineHeight, align, }: Omit<FontStyleProps, 'classname'>) => string;
export type TSvgSize = 16 | 20;
export type TSvgColor = 'one' | 'two';
export type TGetSvgStyleParams = {
    size?: TSvgSize;
    color?: TSvgColor;
};
export declare const getSvgStyle: ({ size, color }: TGetSvgStyleParams) => string;
export default getFontStyle;
//# sourceMappingURL=getFontStyle.d.ts.map